###

###

###

###

###

###

###

    SIGACTION(2)        Linux Programmer's Manual        SIGACTION(2)

    NAME
           signal - ANSI C signal handling.

    SYNOPSIS
           #include <signal.h>

           void (*signal(int signum, void (*handler)(int)))(int);

    DESCRIPTION
           The  signal  system call installs a new signal handler for
           signal signum.  The signal handler is set to handler which
           may be a user specified function, or one of the following:

                  SIG_IGN
                         Ignore the signal.

                  SIG_DFL
                         Reset the signal to its default behavior.

    RETURN VALUE
           signal returns the previous value of the  signal  handler,
           or SIG_ERR on error.

    NOTES
           Signal handlers cannot be set for SIGKILL or SIGSTOP.

           Unlike BSD systems, signals under Linux are reset to their
           default behavior when raised.

           If you're confused by the prototype at  the  top  of  this
           manpage, it may help to see it separated out thus:

           typedef void (*sighandler_t)(int);
           sighandler_t signal(int signum, sighandler_t handler);

    CONFORMING TO
           ANSI C

### SEE ALSO

kill, kill, killpg, pause, raise, tion, signal, sigsetops, sigvec,

###

    Linux 1.0               24 September 1994                       1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0